

Only x86 implements pmdisk_arch_suspend().  So mark pmdisk as ia32-only, to
avoid breaking allyesconfig.


---

 25-akpm/kernel/power/Kconfig |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/power/Kconfig~pmdisk-is-x86-only kernel/power/Kconfig
--- 25/kernel/power/Kconfig~pmdisk-is-x86-only	2004-04-10 19:08:25.495561320 -0700
+++ 25-akpm/kernel/power/Kconfig	2004-04-10 19:09:02.937869224 -0700
@@ -44,7 +44,7 @@ config SOFTWARE_SUSPEND
 
 config PM_DISK
 	bool "Suspend-to-Disk Support"
-	depends on PM && SWAP
+	depends on PM && SWAP && X86 && !X86_64
 	---help---
 	  Suspend-to-disk is a power management state in which the contents
 	  of memory are stored on disk and the entire system is shut down or

_
